using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp10
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            string[] s2 = Console.ReadLine().Split();
            int N = int.Parse(s1[0]);
            int L = int.Parse(s1[1]);
            int br = 0;
            int[] H = new int[N];
            for (int i = 0; i < N; i++)
                H[i] = int.Parse(s2[i]);
            for(int i = 0; i < N; i++)
            {
                if (H[i] > L)
                    br++;
                else
                    break;
            }
            Console.WriteLine(br);
        }
    }
}